class Election < ActiveRecord::Base
  has_many :candidates
  has_many :voters
  has_many :votes
  validates_presence_of :name, :description

  require 'date'

  def startdate
    read_attribute( :startdate ) || DateTime.now
  end

  def enddate
    read_attribute( :enddate ) || DateTime.now + 14
  end

  def destroy
    self.candidates.each do |candidate|
      candidate.destroy
    end
    super
  end
  
end
